Subject: bug#25536: problem in adding a prog to make in coreutils -- spread to multiple files

From: L A Walsh <[email-masked]>
Date: Wed, 25 Jan 2017 15:24:47 -0800

Eric Blake wrote:
> But it
> sounds like since you bypassed a step and messed up your tree, it may be
> easiest to just rerun ./bootstrap to fix the incomplete job (bootstrap
> runs automake under the hood as needed).
> 
> By the way, this isn't a bug in coreutils, so much as a build question,
> so it might be better to ask similar questions directly to the
> [email-masked] list (rather than bug-coreutils) so that we don't have
> to close out a corresponding bug from the tracker.
----
Sent this to coreutils, but it didn't 'echo' back...(in > 15 minutes)

Is it working correctly?

I just subscribed to it, so I'm pretty sure I have the right
address and such...

the bug-coreutils note got ack'ed back in 2 minutes,
w/your reply coming ~30 minutes later.

-------- Original Message --------
Subject: 	problem in ./bootstrap
Date: 	Wed, 25 Jan 2017 15:08:55 -0800
To: 	Coreutils <[email-masked]>

Tried doing a re-bootstrap, but am getting several odd messages:

 yesno
   yesno-tests
   yield
Notice from module error:
 If you are using GNU gettext version 0.16.1 or older, add the 
following options
 to XGETTEXT_OPTIONS in your po/Makevars:
   --flag=error:3:c-format --flag=error_at_line:5:c-format
Notice from module localcharset:
 If your package's tests make use of the locale_charset() function 
directly or
 indirectly, you may need to define the CHARSETALIASDIR environment 
variable,
 so that "make check" works before "make install". In Makefile.am syntax:
 TESTS_ENVIRONMENT += @LOCALCHARSET_TESTS_ENVIRONMENT@
Notice from module propername:
 If you are using GNU gettext version 0.16.1 or older, add the 
following options
 to XGETTEXT_OPTIONS in your po/Makevars:
   --keyword='proper_name:1,"This is a proper name. See the gettext 
manual, section Names."'
   --keyword='proper_name_utf8:1,"This is a proper name. See the 
gettext manual, section Names."'
Notice from module strpbrk:
 This module is obsolete.
Notice from module vasprintf:
 If you are using GNU gettext version 0.16.1 or older, add the 
following options
 to XGETTEXT_OPTIONS in your po/Makevars:
   --flag=asprintf:2:c-format --flag=vasprintf:2:c-format
Notice from module verror:
 If you are using GNU gettext version 0.16.1 or older, add the 
following options
 to XGETTEXT_OPTIONS in your po/Makevars:
   --flag=verror:3:c-format --flag=verror_at_line:5:c-format
Notice from module xprintf:
 If you are using GNU gettext version 0.16.1 or older, add the 
following options
 to XGETTEXT_OPTIONS in your po/Makevars:
   --flag=xprintf:1:c-format --flag=xvprintf:1:c-format
   --flag=xfprintf:2:c-format --flag=xvfprintf:2:c-format
Notice from module xvasprintf:
 If you are using GNU gettext version 0.16.1 or older, add the 
following options
 to XGETTEXT_OPTIONS in your po/Makevars: --flag=xasprintf:1:c-format
File list:
 build-aux/announce-gen
....
then at the end:
 top/GNUmakefile
 top/maint.mk
Updating file build-aux/config.rpath (backup in build-aux/config.rpath~)
4 out of 7 hunks FAILED -- saving rejects to file 
/tmp/gloqjyZR/tempname.c.rej
gnulib/gnulib-tool: *** patch file gl/lib/tempname.c.diff didn't apply 
cleanly
gnulib/gnulib-tool: *** Stop.
./bootstrap: gnulib-tool failed

As near as I can tell my gettext lib is v0.19.2...So the messages about
gettext 0.16.1 don't seem to apply. 

So not sure why it is failing?

thanks...